Content analytics

Days that gained well above the trailing median, each with the post that drove it most

GET/api/public/v1/content/spikes
LiveAnswers from your brand's records now.

Operation id getContentSpikes

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/content/spikes" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
organization_idqueryinteger
start_datequerystring (date)
end_datequerystring (date)
campaign_idsquerystring
platformquerystringOne of instagramtik_tokyoutubefacebooktwitter
metricquerystringOne of viewslikescommentssharessaves
baseline_daysqueryinteger
thresholdquerynumber

Responses

200Success

FieldTypeNotes
dataobject
data.baseline_daysinteger
data.metricstring
data.spikesarray of object
data.spikes[].[].baselinenumber
data.spikes[].[].datestring (date)
data.spikes[].[].rationumber, nullable
data.spikes[].[].topobject, nullable
data.spikes[].[].top.creator_namestring, nullable
data.spikes[].[].top.gaininteger
data.spikes[].[].top.platformstring
data.spikes[].[].top.sharenumber
data.spikes[].[].top.social_post_idstring
data.spikes[].[].top.user_idinteger, nullable
data.spikes[].[].valueinteger
data.thresholdnumber
metaobject
meta.campaign_idsarray of integer
meta.organization_idinteger
meta.platformstring, nullable
meta.scopestringOne of familybrandcampaign
successboolean

Example

{
  "data": {
    "baseline_days": 3,
    "metric": "string",
    "spikes": [
      {
        "baseline": 125.5,
        "date": "2026-11-01",
        "ratio": 125.5,
        "top": {
          "creator_name": "Example name",
          "gain": 3,
          "platform": "string",
          "share": 125.5,
          "social_post_id": "string",
          "user_id": 1024
        },
        "value": 3
      }
    ],
    "threshold": 125.5
  },
  "meta": {
    "campaign_ids": [
      3
    ],
    "organization_id": 1024,
    "platform": "string",
    "scope": "family"
  },
  "success": true
}

Errors: 401404422429with an error and usually a message. See errors.

Example values are made up from each field's type and name.